
import 'base_view_state.dart';

mixin BaseRequestListController<T> on BaseViewState{

  /// 页面数据
  List<T> list = [];

  onCompleted(List<T> data) {}



  ///获取数据
  void refreshData(){
    request((httpData){
      httpData.data = List<T>.from(httpData.data);
      list = httpData.data;
      onCompleted(list);
      setIdle();
    });
  }

}