import 'dart:ui';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_mylibrary/flutter_mylibrary.dart';
import 'package:flutter_mylibrary/utils/utils.dart';

double get screenWidth => ScreenUtil().screenWidth;

double get screenHeight => ScreenUtil().screenHeight;

double get statusBarHeight => ScreenUtil().statusBarHeight;

double get bottomBarHeight => ScreenUtil().bottomBarHeight;


///-------------------------------------------------------间距---------------------------------------------------
EdgeInsets getEdgeInsetsAll(double value){
  return EdgeInsets.symmetric(vertical: getHeight(value), horizontal: getWidth(value));
}

EdgeInsets getEdgeInsetsSymmetric({double vertical = 0, double horizontal = 0}){
  return EdgeInsets.symmetric(vertical: getHeight(vertical), horizontal: getWidth(horizontal));
}


EdgeInsets getEdgeInsetsOnly({double left = 0, double right = 0, double top = 0, double bottom = 0}){
  return EdgeInsets.only(left: getWidth(left), right: getWidth(right), top: getHeight(top), bottom: getHeight(bottom));
}

///------------------------------------------------------宽,高,字体----------------------------------------------------
double getSp(double sp){
  return sp;
}

double getHeight(double height){
  return height;
}

double getWidth(double width){
  return width;
}
